//
//  AlertViewController.swift
//  TraccarClient
//
//  Created by George Makhoul on 28/01/2024.
//  Copyright © 2024 Traccar. All rights reserved.
//

import UIKit

class AlertViewController: KNViewController {
    // MARK: - Outlets
    @IBOutlet weak var proceedButton: UIButton!
    
    // MARK: - Properties
    var window: UIWindow?
    var shift: ShiftModel?
    var shiftStatus: shiftStatus = .failed

    // MARK: - LifeCycle
    override func viewDidLoad() {
        super.viewDidLoad()
        hasCustomNavigation = true
        proceedButton.addCorners(10)
    }
    
    @IBAction func proceedButton(_ sender: UIButton) {
        let connect = ConnectViewController()
        connect.shift = shift
        connect.shiftStatus = shiftStatus
        navigationController?.pushViewController(connect, animated: true)
    }
}
