//
//  KNButtonViewHelper.swift
//  opa
//
//  Created by iOS Developer on 2/2/22.
//

import Foundation

protocol KNButtonViewDelegate: AnyObject {
    func buttonTapped(with action: KNButtonViewAction)
}

enum KNButtonViewAction {
    case upload
    case remove
    case new
    case addToCart
    case buyNow
    case message
    case call
    case back
    case next
    case tap
    case forgotPassword
    case signin
    case createAccount
    case searchAccount
    case verify
    case didNotReceiveCode
    case resetPassword
    case resentCode
    case changeLanguage
    case changeCurrency
    case add_address
    case addAttachment
    case addVariant
    case variantsDone
    case viewAttachment
    case userLocation
    case submit
    case personalInformationSettings
    case accountSettings
    case addLocation
    case showPicker
    case proceedToCheckout
    case done
    case cancel
    case trackOrder
    case continueShopping
    case submitReport
    case guest
    case retryPayment
    case addSizeVariantField
    case addColorVariantField
    case loginAsLeader
}

enum KNButtonViewStyle {
    case transparent
    case transperantExtraBlue
    case simple
    case withIcon
    case withBorder
    case withIconAfterText
}

enum KNButtonViewType {
    case primary
    case secondary
    case tertiary
    
    case secondaryGrey
}
