//
//  KNSpinnerView.swift
//  opa
//
//  Created by George Makhoul on 2/22/22.
//

import Foundation
import UIKit

final class KNSpinnerView: KNComponentView {
    
    // MARK: - Outlets
    @IBOutlet private weak var view: UIView!
    
    // MARK: - Properties
    static let tag: Int = 130_220_310_000
    var requestTag: Endpoint?
            
    // MARK: - Lifecycle
    override func setupNib() {
        super.setupNib()
        
        view.frame = bounds
        view.autoresizingMask = [.flexibleWidth, .flexibleHeight]
        
        setupUI()
    }
    
    private func setupUI() {
        tag = KNSpinnerView.tag
        
        backgroundColor = .clear
        view.backgroundColor = .clear
        
    }
    
    func stop() {
        removeFromSuperview()
    }
}
