//
//  Keys.swift
//  TraccarClient
//
//  Created by George Makhoul on 25/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Foundation
import UIKit
let tag: String = "KN_"

struct Keys {
    static let appLanguage = tag + "_appLanguage"
    static let isLoggedIn = tag + "_isLoggedIn"
    static let guestToken = tag + "_guestToken"
    static let deviceToken = tag + "_deviceToken"
    static let socialLoginType = tag + "_socialLoginType"
    static let socialLoginName = tag + "socialLoginName"
    static let socialLoginEmail = tag + "socialLoginEmail"

    struct User {
        static let id = tag + "_user_id"
        static let email = tag + "_user_email"
        static let firstName = tag + "_user_first_name"
        static let lastName = tag + "_user_last_name"
        static let user_type = tag + "_user_type"
        static let access_token = tag + "_user_access_token"
        static let refresh_token = tag + "_user_refresh_token"
        static let picture = tag + "_profile_picture"
        static let is_bank_completed = tag + "_is_bank_completed"
        static let is_document_completed = tag + "_is_document_completed"
        static let is_warehouse_added = tag + "_is_warehouse_added"
        static let is_account_type_pending = tag + "_is_account_type_pending"
        static let fullName = tag + "_full_name"
        static let phone = tag + "_phone"
        static let prefix = tag + "_prefix"
        static let account_type = tag + "_account_type"
        static let avatar = tag + "_avatar"
        static let cover = tag + "_cover"
        static let designation_id = tag + "_designation_id"
        static let name = tag + "_name"
        static let user = tag + "_user"
        static let uniqueId = tag + "_uniqueId"
        static let status = tag + "_status"
        static let deviceName = tag + "_device_name"
        static let device = tag + "_device"
        static let updateSettings = tag + "_update_settings"
        static let autoTracking = tag + "auto_tracking"
    }
    
    struct Badge {
        static let favourites_count = tag + "_favourites_count_badge"
        static let notification_count = tag + "_notification_count_badge"
        static let my_follower_count = tag + "_my_follower_count_badge"
        static let my_following_count = tag + "_my_following_count_badge"
        static let basket_items_count = tag + "_basket_items_count_badge"

    }

}
