//
//  NSLayoutConstraints.swift
//  TraccarClient
//
//  Created by George Makhoul on 25/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import UIKit

extension NSLayoutConstraint {
    
    // MARK: - Value
    func set(_ value: CGFloat) {
        constant = value
    }
    
    func add(_ value: CGFloat) {
        constant += value
    }
    
    func substract(_ value: CGFloat) {
        constant -= value
    }
}
