//
//  Network+Shifts.swift
//  TraccarClient
//
//  Created by George Makhoul on 12/11/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Alamofire
import Foundation

extension NetworkRequest {
    // MARK: - Signin
    func my_shift(_ completion: @escaping ResultClosure) {
        request(endpoint: endpoint(.shift), method: .get) { result in
            let shift = ShiftModel(result.object)
            result.data = shift
            print(result)
            completion(result)
        }
    }
}
