//
//  UIImage.swift
//  TraccarClient
//
//  Created by George Makhoul on 31/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import UIKit

extension UIImage {
    
    // MARK: - Field Icons
    static let field_show_password = img("field_show_password")
    static let field_hide_password = img("field_hide_password")
    static let connectedLogo = img("connectedLogo")
    static let disconnectedLogo = img("disconnectedLogo")
    static let connectedButton = img("connectedButton")
    static let disconnectedButton = img("disconnectedButton")
    static let menu = img("menu")
    static let status = img("status")
    static let back = img("back")
    static let bin = img("bin")
    static let apply = img("apply")
    static let thumbsup = img("thumbsup")
    static let updated = img("updated")
    static let thumbsDown = img("thumbDown")
    static let logout = img("logout")
    static let handle = img("handle")
    static let privacy = img("privacyPolicy")
    static let alertIcon = img("alertIcon")
    static let reset = img("resetSettings")
    
}
func img(_ name: String) -> UIImage {
    if let img = UIImage(named: name) {
        return img
    } else {
        return UIImage()
    }
}



