//
//  UINavigationController.swift
//  TraccarClient
//
//  Created by George Makhoul on 31/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import UIKit

extension UINavigationController {
    
    // MARK: - Push Multiple ViewControllers
    func push(viewControllers: [UIViewController], animated: Bool) {
        var stack = self.viewControllers
        stack.append(contentsOf: viewControllers)
        
        setViewControllers(stack, animated: animated)
    }
}
