//
//  LoginViewControllerProtocol.swift
//  TraccarClient
//
//  Created by George Makhoul on 26/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import UIKit
import Foundation

protocol LoginViewControllerDelegate: AnyObject {
    func updateUI()

}

protocol LoginInputProtocol: AnyObject {
    func setFields(fields: [KNField])
}

protocol LoginOutputProtocol: AnyObject {
    func reloadUI()
    func cellButtonTapped(action: KNButtonViewAction)
}
