//
//  Logs.swift
//  TraccarClient
//
//  Created by George Makhoul on 25/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Foundation

// MARK: - Console Log
func log(_ args: Any...) {
    print_log(args, oneLine: true)
}

func logs(_ args: Any...) {
    print_log(args, oneLine: false)
}

fileprivate func print_log(_ args: Any..., oneLine: Bool) {
    if !app.logsAreEnabled { return }

    if oneLine {
        print(args)
    } else {
        for line in args {
            print(line)
        }
    }
}
